Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.GGG
Class GGG_WB_Mobile

    java.lang.Object
      madkit.kernel.AbstractAgent
          warbot.kernel.Brain
              warbot.GGG.GGG_WB
                  warbot.GGG.GGG_WB_Mobile

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

Direct Known Subclasses:
  GGG_Explorer, GGG_RocketLauncher

    public abstract class GGG_WB_Mobile

extends GGG_WB

See Also:
  Serialized Form

Field Summary
`protected GGG_Target` | `actionTgt`
`protected GGG_Target` | `butTgt`
`protected int` | `groupe`
`protected GGG_Target` | `tactTgt`

Fields inherited from class warbot.GGG.GGG_WB
`ALL_GROUPS, ALL_ROLES, TEAM`

Constructor Summary
`GGG_WB_Mobile()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`protected void` | `actualiserBut()`
`protected void` | `actualiserRole()`
`protected void` | `actualiserTactique()`
`protected double[]` | `arcInterdit(Percept p)`
`protected double[]` | `arcsInterdits(int priorite)`
`protected void` | `calculerEvitement(GGG_Target v)`
`void` | `doIt()` This method controls the behavior of a robot.
`protected void` | `effectuerBut()`
`protected void` | `effectuerRole()`
`protected void` | `effectuerTactique()`
`protected boolean` | `enVue(GGG_Target t)`
`protected void` | `introspecter()`
`protected GGG_Target` | `orienterAvecCorrection(GGG_Target but, int pri)`
`protected GGG_Target` | `orienterOpposeAvecCorrection(GGG_Target but, int pri)`
`protected GGG_Target` | `retablirCible(GGG_Target but, GGG_Target dep)`
`protected void` | `spirale(GGG_Target t, double borneMinSpiral, double borneMaxSpiral, double augAngleSpirale, double augDistanceSpirale)`
`protected GGG_Target` | `suivre(GGG_Target t, double dist)`
`protected int` | `toucheUnAmi()`
`protected GGG_Target` | `tournerAutour(GGG_Target tgt, int distMin, int distMax)`

Methods inherited from class warbot.GGG.GGG_WB
`distanceTo, localiserAmi, modulo, toDegre, toRadian`

Methods inherited from class warbot.kernel.Brain
`bagSize, broadcast, broadcast, broadcast, broadcast, broadcastMessage, buildRocket, createAgent, distanceTo, drop, dropAll, eat, edit, getBagCapacity, getBagPercepts, getCoveredDistance, getEnergyLevel, getHeading, getMaximumEnergy, getPercepts, getResourceLevel, getRocketNumber, getShot, getTeam, init, isBagEmpty, isBagFull, isMoving, isMyBagEmpty, isMyBagFull, isShowUserMessage, launchRocket, move, randomHeading, readMessage, receiveMessage, send, send, send, send, sendMessage, sendMessage, setHeading, setUserMessage, showUserMessage, take, towards`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, end, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tactTgt

    protected GGG_Target tactTgt

### butTgt

    protected GGG_Target butTgt

### actionTgt

    protected GGG_Target actionTgt

### groupe

    protected int groupe

Constructor Detail

### GGG_WB_Mobile

    public GGG_WB_Mobile()

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `GGG_WB`

### doIt

    public void doIt()

  Description copied from class: `Brain`
  This method controls the behavior of a robot. It is called once per turn. This method must be implemented in subclasses of this class.

  Overrides:
    `doIt` in class `GGG_WB`

### introspecter

    protected void introspecter()

  Overrides:
    `introspecter` in class `GGG_WB`

### actualiserRole

    protected void actualiserRole()

  Overrides:
    `actualiserRole` in class `GGG_WB`

### effectuerRole

    protected void effectuerRole()

  Overrides:
    `effectuerRole` in class `GGG_WB`

### actualiserTactique

    protected void actualiserTactique()

  Overrides:
    `actualiserTactique` in class `GGG_WB`

### effectuerTactique

    protected void effectuerTactique()

  Overrides:
    `effectuerTactique` in class `GGG_WB`

### actualiserBut

    protected void actualiserBut()

  Overrides:
    `actualiserBut` in class `GGG_WB`

### effectuerBut

    protected void effectuerBut()

  Overrides:
    `effectuerBut` in class `GGG_WB`

### retablirCible

    protected GGG_Target retablirCible(GGG_Target but,
                                       GGG_Target dep)

### orienterAvecCorrection

    protected GGG_Target orienterAvecCorrection(GGG_Target but,
                                                int pri)

### orienterOpposeAvecCorrection

    protected GGG_Target orienterOpposeAvecCorrection(GGG_Target but,
                                                      int pri)

### toucheUnAmi

    protected int toucheUnAmi()

### enVue

    protected boolean enVue(GGG_Target t)

### arcInterdit

    protected double[] arcInterdit(Percept p)

### arcsInterdits

    protected double[] arcsInterdits(int priorite)

### spirale

    protected void spirale(GGG_Target t,
                           double borneMinSpiral,
                           double borneMaxSpiral,
                           double augAngleSpirale,
                           double augDistanceSpirale)

### tournerAutour

    protected GGG_Target tournerAutour(GGG_Target tgt,
                                       int distMin,
                                       int distMax)

### suivre

    protected GGG_Target suivre(GGG_Target t,
                                double dist)

### calculerEvitement

    protected void calculerEvitement(GGG_Target v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.